module.exports = {
  port: process.env.NODE_PORT || 10230,
  url: process.env.HOST_URL || '',
  image_root: process.env.IMAGE_ROOT || '/image',
  salt_round: process.env.SALT_ROUND || 10,
  line: {
    secret: process.env.LINE_SECRET || '',
    access: process.env.LINE_ACCESS || ''
  },
  twitch: {
    clientid: process.env.TWITCH_CLIENT_ID || '',
    clientsecret: process.env.TWITCH_CLIENT_SECRET || '',
    subsecret: process.env.TWITCH_SUB_SECRET || '',
    chat_host: process.env.TWITCH_CHAT_HOST || '',
    bot_oauth: process.env.TWITCH_BOT_OAUTH || ''
  },
  google: {
    apikey: process.env.GOOGLE_API_KEY || ''
  },
  database: {
    host: process.env.DB_HOST || 'localhost',
    port: process.env.DB_PORT || 5432,
    user: process.env.DB_USER || 'postgres',
    pass: process.env.DB_PASS || '',
    dbname: process.env.DB_NAME || 'mtfosbot'
  },
  redis: {
    host: process.env.REDIS_HOST || 'localhost',
    port: process.env.REDIS_PORT || 6379
  }
}
